/*******************************************************************************
 * FoxCustomPackActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomPackActor extends FoxCustomSkeletalActor
    native(Weapon)
    config(CustomTurretActor)
    hidecategories(Navigation);

simulated function PostBeginPlay()
{
    //return;    
}

simulated function SetPackFromUnlockID(int UnlockID, optional int CamoUnlockID)
{
    local string AssetPath;

    AssetPath = class'FoxUnlockInfo'.static.GetPreviewAssetPathFromUnlockID(UnlockID);
    // End:0x59
    if(AssetPath != "")
    {
        MeshAssetPath = AssetPath;
    }
    // End:0x6C
    else
    {
        MeshAssetPath = default.MeshAssetPath;
    }
    SetPreviewMesh();
    switch(class'FoxUnlockInfo'.static.GetUnlockTypeFromID(CamoUnlockID))
    {
        // End:0xAD
        case 8:
        // End:0xB5
        case 9:
            // End:0xCA
            break;
        // End:0xFFFF
        default:
            CamoUnlockID = 630100;
            // End:0xCA
            break;
    }
    SetMeshMaterialsAndCamo(SkeletalMeshComponent, CamoUnlockID);
    //return;    
}

// Export UFoxCustomPackActor::execSetMeshMaterialsAndCamo(FFrame&, void* const)
native function SetMeshMaterialsAndCamo(MeshComponent MyMeshComponent, int CamoUnlockID);

defaultproperties
{
    MeshAssetPath="WPN_Box.Mesh.Sk_BLBox"
    BaseCameraOffset=(X=0.0,Y=0.0,Z=22.0)
    BaseRotation=(Pitch=2048,Yaw=-17300,Roll=0)
    IdealCameraDistance=50.0
    MinCameraDistance=50.0
    MaxCameraDistance=50.0
    MaxPitch=9600
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomPackActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomPackActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomPackActor.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomPackActor.MyLightEnvironment'
    FacialAudioComp=AudioComponent'Default__FoxCustomPackActor.FaceAudioComponent'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxCustomPackActor.MyLightEnvironment'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomPackActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomPackActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomPackActor.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__FoxCustomPackActor.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomPackActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomPackActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomPackActor.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}